import request from '@/utils/request'


//监控动态
export function dynamicPage(data) {
  return request({
    url: '/monitor/company/dynamicPage',
    method: 'post',
    data: data
  })
}
//监控动态详情
export function dynamicDetail(data) {
  return request({
    url: '/monitor/company/dynamicDetail',
    method: 'post',
    data: data
  })
}

// 企业监控列表
export function companyPage(data) {
  return request({
    url: '/monitor/system/companyPage',
    method: 'post',
    data: data
  })
}
// 模糊查企业联想
export function companyList(data) {
  return request({
    url: '/enterprise/index',
    method: 'post',
    data: data
  })
}
// 添加默认监控
export function defaultAdd() {
  return request({
    url: '/monitor/add/default',
    method: 'post',
  })
}
// 添加监控企业
export function companyAdd(data) {
  return request({
    url: '/monitor/system/add',
    method: 'post',
    data: data
  })
}
// 获取监控推荐企业
export function queryMonitorCompany(data) {
  return request({
    url: '/monitor/system/queryMonitorCompany',
    method: 'post',
    data: data
  })
}
// 取消监控企业
export function companyCancel(data) {
  return request({
    url: '/monitor/system/cancel',
    method: 'post',
    data: data
  })
}
// 企业监控详情
export function companyDetail(data) {
  return request({
    url: '/monitor/system/detail',
    method: 'post',
    data: data
  })
}

// 监控报告
export function reportPage(data) {
  return request({
    url: '/monitor/reportPage',
    method: 'post',
    data: data
  })
}

// 监控维度设置-类型
export function rulesSelect() {
  return request({
    url: '/monitor/push/rulesSelect',
    method: 'get',
  })
}

// 监控维度设置-新增修改
export function insertOrUpdate(data) {
  return request({
    url: '/monitor/push/rules/insertOrUpdate',
    method: 'post',
    data: data
  })
}


// 监控维度设置
export function rulesDetail(data) {
  return request({
    url: '/monitor/push/rulesDetail',
    method: 'post',
    data: data
  })
}



